# Class Event.Builder

java.lang.Object
com.google.adk.events.Event.Builder

Enclosing class:
  `Event`

public static class Event.Builder extends Object
Builder for `Event`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Event.Builder`
  `actions(@Nullable EventActions value)`
  `Event.Builder`
  `author(String value)`
  `Event.Builder`
  `avgLogprobs(@Nullable Double value)`
  `Event.Builder`
  `branch(@Nullable String value)`
  `Event`
  `build()`
  `Event.Builder`
  `content(@Nullable com.google.genai.types.Content value)`
  `Event.Builder`
  `customMetadata(@Nullable List<com.google.genai.types.CustomMetadata> value)`
  `Event.Builder`
  `errorCode(@Nullable com.google.genai.types.FinishReason value)`
  `Event.Builder`
  `errorMessage(@Nullable String value)`
  `Event.Builder`
  `finishReason(@Nullable com.google.genai.types.FinishReason value)`
  `Event.Builder`
  `groundingMetadata(@Nullable com.google.genai.types.GroundingMetadata value)`
  `Event.Builder`
  `id(String value)`
  `Event.Builder`
  `inputTranscription(@Nullable com.google.genai.types.Transcription value)`
  `Event.Builder`
  `interrupted(@Nullable Boolean value)`
  `Event.Builder`
  `invocationId(String value)`
  `Event.Builder`
  `longRunningToolIds(@Nullable Set<String> value)`
  `Event.Builder`
  `modelVersion(@Nullable String value)`
  `Event.Builder`
  `outputTranscription(@Nullable com.google.genai.types.Transcription value)`
  `Event.Builder`
  `partial(@Nullable Boolean value)`
  `Event.Builder`
  `timestamp(long value)`
  `Event.Builder`
  `turnComplete(@Nullable Boolean value)`
  `Event.Builder`
  `usageMetadata(@Nullable com.google.genai.types.GenerateContentResponseUsageMetadata value)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### id

    @CanIgnoreReturnValue public Event.Builder id(String value)

  - ### invocationId

    @CanIgnoreReturnValue public Event.Builder invocationId(String value)

  - ### author

    @CanIgnoreReturnValue public Event.Builder author(String value)

  - ### content

    @CanIgnoreReturnValue public Event.Builder content(@Nullable com.google.genai.types.Content value)

  - ### actions

    @CanIgnoreReturnValue public Event.Builder actions(@Nullable EventActions value)

  - ### longRunningToolIds

    @CanIgnoreReturnValue public Event.Builder longRunningToolIds(@Nullable Set<String> value)

  - ### partial

    @CanIgnoreReturnValue public Event.Builder partial(@Nullable Boolean value)

  - ### turnComplete

    @CanIgnoreReturnValue public Event.Builder turnComplete(@Nullable Boolean value)

  - ### errorCode

    @CanIgnoreReturnValue public Event.Builder errorCode(@Nullable com.google.genai.types.FinishReason value)

  - ### errorMessage

    @CanIgnoreReturnValue public Event.Builder errorMessage(@Nullable String value)

  - ### finishReason

    @CanIgnoreReturnValue public Event.Builder finishReason(@Nullable com.google.genai.types.FinishReason value)

  - ### usageMetadata

    @CanIgnoreReturnValue public Event.Builder usageMetadata(@Nullable com.google.genai.types.GenerateContentResponseUsageMetadata value)

  - ### avgLogprobs

    @CanIgnoreReturnValue public Event.Builder avgLogprobs(@Nullable Double value)

  - ### interrupted

    @CanIgnoreReturnValue public Event.Builder interrupted(@Nullable Boolean value)

  - ### timestamp

    @CanIgnoreReturnValue public Event.Builder timestamp(long value)

  - ### branch

    @CanIgnoreReturnValue public Event.Builder branch(@Nullable String value)

  - ### groundingMetadata

    @CanIgnoreReturnValue public Event.Builder groundingMetadata(@Nullable com.google.genai.types.GroundingMetadata value)

  - ### customMetadata

    @CanIgnoreReturnValue public Event.Builder customMetadata(@Nullable List<com.google.genai.types.CustomMetadata> value)

  - ### modelVersion

    @CanIgnoreReturnValue public Event.Builder modelVersion(@Nullable String value)

  - ### inputTranscription

    @CanIgnoreReturnValue public Event.Builder inputTranscription(@Nullable com.google.genai.types.Transcription value)

  - ### outputTranscription

    @CanIgnoreReturnValue public Event.Builder outputTranscription(@Nullable com.google.genai.types.Transcription value)

  - ### build

    public Event build()